# BEGIN SourceDeps(oneline):
BuildRequires: perl(Device/Chip/Adapter.pm) perl(Device/Chip/ProtocolBase/SPI.pm) perl(Future.pm) perl(Module/Build.pm) perl(Test/More.pm) perl(USB/LibUSB.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_name Device-Chip-Adapter-CH341A
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: a C<Device::Chip::Adapter> implementation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This class implements the the Device::Chip::Adapter manpage interface for the *CH341A*
USB interface chip, allowing an instance of a the Device::Chip manpage driver to
communicate with actual chip hardware using this adapter.

The *CH341A* is often found in cheap USB serial memory programmers and
similar devices, for programming SPI or I-BC EEPROM and flash memory chips.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

